# $Revision: 1.88 $, $Date: 2010/07/16 21:33:13 $
#
%define		pkgname		eaccelerator
Summary:	eAccelerator module for PHP
Summary(pl.UTF-8):	Moduł eAccelerator dla PHP
Name:		php-%{pkgname}
Version:	0.9.6.1
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://bart.eaccelerator.net/source/%{version}/%{pkgname}-%{version}.tar.bz2
# Source0-md5:	32ccd838e06ef5613c2610c1c65ed228
Source1:	%{pkgname}.ini
URL:		http://eaccelerator.net/
BuildRequires:	php-devel >= 3:5.1.0
BuildRequires:	rpmbuild(macros) >= 1.344
%requires_eq	php-common
%{?requires_php_extension}
Requires:	php-common >= 4:5.1.0
Requires:	php-session
Requires:	php-zlib
Conflicts:	php-mmcache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{pkgname}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
eAccelerator is a further development from mmcache PHP Accelerator &
Encoder. It increases performance of PHP scripts by caching them in
compiled state, so that the overhead of compiling is almost completely
eliminated.

%description -l pl.UTF-8
eAccelerator to dalsze stadium rozwoju akceleratora i kodera PHP
mmcache. Zwiększa wydajność skryptów PHP poprzez zapamiętywanie ich w
postaci skompilowanej, dzięki czemu narzut potrzebny na kompilację
jest prawie całkowicie wyeliminowany.

%package webinterface
Summary:	WEB interface for PHP Accelerator
Summary(pl.UTF-8):	Interfejs WWW dla PHP Acceleratora
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	webapps
Requires:	webserver(php)

%description webinterface
PHP Accelerator can be managed through web interface script
control.php and dasm.php (which requires disassembler and tokenizer).
For security reasons it is recommended to restrict the usage of this
script by your local IP and setup password based access.

More information you can find at %{url}.

%description webinterface -l pl.UTF-8
PHP Accelerator może być sterowany ze strony internetowej z
wykorzystaniem skryptów control.php i dasm.php (który wymaga modułu
obsługującego disassembler i tokenizer). Z powodów bezpieczeństwa
zalecane jest, aby ograniczyć korzystanie ze skryptu do lokalnego
adresu i ustawić autoryzację hasłem.

Więcej informacji można znaleźć pod %{url}.

%prep
%setup -q -n %{pkgname}-%{version}

cat > apache.conf <<EOF
Alias /%{_webapp} %{_appdir}
<Directory %{_appdir}/>
	Order allow,deny
	Allow from 127.0.0.1
</Directory>
EOF

%build
phpize
%configure \
	--enable-eaccelerator=shared \
	--with-eaccelerator-userid=http \
	--without-eaccelerator-use-inode \
	--with-php-config=%{_bindir}/php-config \
	%{?debug:--with-eaccelerator-debug}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_extensiondir},%{_bindir},%{php_sysconfdir}/conf.d,/var/cache/%{pkgname},%{_sysconfdir},%{_appdir},/etc/tmpwatch}

install modules/eaccelerator.so $RPM_BUILD_ROOT%{php_extensiondir}
install %{SOURCE1} $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{pkgname}.ini

cp -a {PHP_Highlight,control,dasm}.php $RPM_BUILD_ROOT%{_appdir}
install apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

echo "/var/cache/%{pkgname} 720" > $RPM_BUILD_ROOT/etc/tmpwatch/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin webinterface -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun webinterface -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin webinterface -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun webinterface -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%preun
if [ "$1" = 0 ]; then
	# remove last pieces of cache
	rm -rf /var/cache/%{pkgname}/*
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README bugreport.php doc/php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{pkgname}.ini
%config(noreplace) %verify(not md5 mtime size) /etc/tmpwatch/%{name}.conf
%attr(755,root,root) %{php_extensiondir}/eaccelerator.so
%attr(770,root,http) /var/cache/%{pkgname}

%files webinterface
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%dir %{_appdir}
%{_appdir}/PHP_Highlight.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_appdir}/control.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_appdir}/dasm.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-eaccelerator.spec,v $
Revision 1.88  2010/07/16 21:33:13  shadzik
- 0.9.6.1

Revision 1.87  2010/07/16 18:25:17  shadzik
- rel 4

Revision 1.86  2010/06/02 18:02:42  glen
- release 3

Revision 1.85  2010/03/19 23:17:52  gotar
- #104: using open_basedir with EACCELERATOR_USE_INODE won't work; to be removed

Revision 1.84  2010/03/10 10:34:10  baggins
- encoder is gone
- removed non-existing options to configure

Revision 1.83  2010/03/10 10:29:29  baggins
- eLoader has been removed
- minimal php is 5.1

Revision 1.82  2010/03/10 10:25:03  baggins
- 0.9.6
- no-short-open-tag patch is not needed anymore

Revision 1.81  2010/03/08 10:10:06  glen
- release 13

Revision 1.80  2010/01/22 16:11:37  glen
- release 12

Revision 1.79  2010/01/22 16:11:24  glen
- release 11

Revision 1.78  2009/12/20 17:59:07  adamg
- release 10 (rebuild against php-5.2.12-1)

Revision 1.77  2009/12/02 11:23:40  glen
- release 9

Revision 1.76  2009/12/02 11:23:19  glen
- R: php-session; rel 8

Revision 1.75  2009/10/09 11:38:43  zbyniu
- rel 7 (rebuild against php-5.2.11)

Revision 1.74  2009/06/21 09:37:19  adamg
- release 6 (rebuild against php-5.2.10-1)

Revision 1.73  2009/02/27 17:17:34  adamg
- release 5 (rebuild against php-5.2.9-1)

Revision 1.72  2008/12/18 19:04:39  glen
- macro cleanup; rel 4

Revision 1.71  2008/12/09 08:57:18  arekm
- release 3

Revision 1.70  2008/11/13 10:52:51  baggins
- rel 2
- don't use short open tag ('<?'), as it can be disabled in php config

Revision 1.69  2008/06/08 16:27:08  arekm
- 0.9.5.3

Revision 1.68  2008-05-12 13:30:31  blues
- rel.3 - STBR for AC

Revision 1.67  2007-11-13 19:10:28  glen
- rel 2 (PHP 5.2.5)

Revision 1.66  2007/09/15 15:35:13  arekm
- up to 0.9.5.2

Revision 1.65  2007/08/31 17:21:12  arekm
- rel 3; fix for bug where exceptions aren't catched

Revision 1.64  2007/08/24 14:54:12  blues
- rel.2

Revision 1.63  2007/08/24 14:50:50  blues
- typo

Revision 1.62  2007/06/09 09:15:01  glen
- requires specific zlib extension (php5 one)

Revision 1.61  2007/06/09 09:12:20  glen
- adapter, unify

Revision 1.60  2007/06/09 00:58:14  gotar
- fixed httpd config

Revision 1.59  2007/06/09 00:48:22  gotar
- updated webinterface info, secured {control,dasm}.php (hardcoded passwords)

Revision 1.58  2007/06/09 00:21:54  gotar
- doc is doc not control panel, fixed,
- NOTE: dasm requires disassembler (and so tokenizer).

Revision 1.57  2007/06/09 00:06:24  gotar
- use _name as _webapp, how about _appdir?

Revision 1.56  2007/06/09 00:01:14  gotar
- webapps support

Revision 1.55  2007/06/08 23:39:46  gotar
- packaged eLoader and more docs

Revision 1.54  2007/06/08 23:17:44  gotar
- upgraded to 0.9.5.1

Revision 1.53  2007/06/04 16:37:28  glen
- rel 9 (PHP 5.2.3)

Revision 1.52  2007/05/22 20:10:59  glen
- rel 8

Revision 1.51  2007/02/19 11:37:12  arekm
- rebuild with fixed php

Revision 1.50  2007/02/16 17:56:13  arekm
- rel 6

Revision 1.49  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.48  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.47  2007/01/16 22:07:11  glen
- use new php extension macros

Revision 1.46  2006/12/20 09:35:32  arekm
rel 5; php 5.2 fixes

Revision 1.45  2006/12/13 22:07:27  glen
- rel 4 (php 5.2.0)

Revision 1.44  2006/11/26 12:39:23  glen
- virtual deps; rel 3

Revision 1.43  2006/11/19 17:46:09  glen
- rel 2

Revision 1.42  2006/11/18 16:29:39  arekm
- up to 0.9.5

Revision 1.41  2006/11/10 13:38:05  baggins
- rel 1, works

Revision 1.40  2006/11/09 18:47:50  baggins
- drop _rc from build dir

Revision 1.39  2006/11/09 18:47:07  baggins
- rel 0.1
- up to 0.9.5 final

Revision 1.38  2006/11/09 18:45:43  baggins
- rel 5
- turn shm stuff on (was it useful without it?)

Revision 1.37  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.36  2006/09/05 11:53:22  adamg
- release 4; rebuild against php-5.1.6

Revision 1.35  2006/08/24 09:36:52  domelu
- proper cache rmdir
- rel 3

Revision 1.34  2006/08/19 09:58:36  adamg
- release 2 (rebuild against php-5.1.5)

Revision 1.33  2006/08/08 11:52:56  blues
- rel.1 - works, added tmpwatch file

Revision 1.32  2006/08/08 11:46:39  blues
- 0.9.5rc1 - STBR to AC, it brings full php5.1 support

Revision 1.31  2006/08/06 22:40:32  adamg
- force strict Requires - eaccelerator needs to be rebuilt after each version bump

Revision 1.30  2006/06/13 10:43:24  arekm
- beta2

Revision 1.29  2006/05/24 08:44:48  glen
- specify eaccelerator-userid for ppc,alpha,sparc; rel 3

Revision 1.28  2006/05/24 07:53:26  glen
- rel 2: rebuild without superfluous php-common dep

Revision 1.27  2006/03/07 11:55:29  dzeus
- up to 0.9.5-beta1 (works fine with PHP5.1) STBR

Revision 1.26  2006/01/19 20:47:57  arekm
- rel .2; rebuild with php 5.1.2

Revision 1.25  2006/01/06 17:09:24  adamg
- updated to 0.9.4-rc1
- apply -php51.patch (no longer segfaults on php5.1)

Revision 1.24  2005/12/24 15:42:47  adamg
- fix build on php 5.1 (needs testing)

Revision 1.23  2005/12/24 15:39:23  glen
- rel 3 (rebuild with new php)

Revision 1.22  2005/09/16 23:15:28  glen
- unified

Revision 1.21  2005/09/15 18:11:16  glen
- depend on php api versions; rel 2

Revision 1.20  2005/09/13 12:46:32  qboosh
- sorted verify() flags

Revision 1.19  2005/09/13 12:46:00  qboosh
- -webinterface cleanups

Revision 1.18  2005/09/11 21:04:10  glen
- typo (this happens to be eaccelerator now)

Revision 1.17  2005/09/11 20:55:34  glen
- sync from php4-eaccelerator, fill files for -webinterface subpackage

Revision 1.16  2005/09/11 17:04:32  hunter
- eaccelerator.php in webinterface package
- configfile

Revision 1.15  2005/09/07 14:13:03  glen
- phpize already calls aclocal

Revision 1.14  2005/09/07 13:30:50  glen
- php{,4}-devel already Requires: auto{make,conf}

Revision 1.13  2005/07/06 08:43:13  baseciq
- reverted last silly patch

Revision 1.12  2005/07/06 08:30:54  baseciq
- added patch from http://sourceforge.net/mailarchive/forum.php?thread_id=7374002&forum_id=43358
  it causes that eaccellerator doesn't stops when ioncube loader is loaded,
  so you can still run encoded files, *BUT* only if you use dl('eaccelerator.so')
  instead of extension=eaccelerator.so in php.ini. I didn't test it much,
  so feel warned ;)

Revision 1.11  2005/06/13 00:35:39  eothane
- going up.. (0.9.3)

Revision 1.10  2005/05/22 02:47:46  averne
- rel 2

Revision 1.9  2005/03/02 19:30:26  qboosh
- reverted breakage

Revision 1.8  2005/03/02 14:59:36  eothane
- unified Source0
- updated URL:

Revision 1.7  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.6  2005/01/11 20:05:13  glen
- version 0.9.2a
- remove R: apache
- fix php deps

Revision 1.5  2004/12/26 18:49:19  qboosh
- pl desc

Revision 1.4  2004/12/26 16:32:06  ankry
- formatting

Revision 1.3  2004/12/26 16:13:22  adasi
- OMT new URL

Revision 1.2  2004/12/26 16:11:50  adasi
- new Source0 URL

Revision 1.1  2004/12/26 15:32:30  adasi
- new spec, based on php-mmcache
